<?php
// Copyright 1999-2024. WebPros International GmbH. All rights reserved.

namespace WHMCS\Module\Server\SolusVm2Vps\Database\Models;

use WHMCS\Database\Capsule as DB;

class ConfigurableOptionsValues
{
    public static function getNameById(int $id): string
    {
        return DB::table('tblproductconfigoptions')
            ->whereId($id)
            ->value('optionname');
    }

    public static function getValueById(int $id): string
    {
        $record = DB::table('tblproductconfigoptionssub')
            ->whereId($id)
            ->value('optionname');

        [$value] = explode('|', $record);

        return trim($value);
    }
}