<?php
// Copyright 1999-2024. WebPros International GmbH. All rights reserved.

namespace WHMCS\Module\Server\SolusVm2Vps\SolusAPI\Resources;

/**
 * @package WHMCS\Module\Server\SolusVm2Vps\SolusAPI\Resources
 */
class SnapshotResource extends ApiResource
{
    public function getAll(int $serverId): array
    {
        return $this->processResponse($this->connector->get("servers/{$serverId}/snapshots"));
    }

    public function create(int $serverId): array
    {
        return $this->processResponse($this->connector->post("servers/{$serverId}/snapshots"));
    }

    public function revert(int $id): array
    {
        return $this->processResponse($this->connector->post("snapshots/{$id}/revert"));
    }
}